//
//  opinion
//
//  gmalpha_flutter
//  Created by Mikasa on 2019/2/19.
//  Copyright © 2019 Gengmei. All rights reserved.
//  意见与建议页面

import 'package:dio/dio.dart';
import 'package:flutter_boost/flutter_boost.dart';
import 'package:flutter/material.dart';
import 'macros/ALColors.dart';
import 'macros/ALDevice.dart';
import 'netWork/DioUtil.dart';

class CommentSuggest extends StatelessWidget {
  final Map params;
  CommentSuggest(this.params);

  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: '意见与建议',
      color: ALColors.Color323232,
      theme: ThemeData(
        splashColor: Colors.white10, //水波纹的颜色
      ),
      home: CommentSuggestPage(nativeCookie: this.params,title: '意见与建议',)
    );
  }
}

class CommentSuggestPage extends StatefulWidget  {

  final String title;
  final Map nativeCookie; 

  CommentSuggestPage({Key key, this.title, this.nativeCookie}) : super(key: key);

  @override
  _CommentSuggestPageState createState() => _CommentSuggestPageState();
}

class _CommentSuggestPageState extends State<CommentSuggestPage> {
  TextEditingController opinionCtrl = TextEditingController();
  TextEditingController telCtrl = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          backgroundColor: Colors.white10,
          leading: new GestureDetector(
              child: new Icon(Icons.keyboard_backspace),
              onTap: () {
                FlutterBoost.singleton.closePageForContext(context);
              }),
          title: new Text(widget.title),
        ),
        body: Container(
          height: ALDevice.height,
          width: ALDevice.width,
          child: Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Container(
                  alignment: Alignment.topCenter,
                  margin:
                      EdgeInsets.only(left: 30, top: 42, right: 30, bottom: 0),
                  height: 215,
                  width: ALDevice.width,
                  decoration: BoxDecoration(
                    border: Border.all(color: ALColors.ColorC4C4C4, width: 1),
                  ),
                  child: TextField(
                    maxLines: 10,
                    controller: opinionCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '意见与建议',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
                Container(
                  height: 40,
                  margin: EdgeInsets.only(left: 30, right: 30, top: 30),
                  padding: EdgeInsets.only(bottom: 10),
                  decoration: BoxDecoration(
                      border: Border(
                    bottom: BorderSide(color: ALColors.ColorC4C4C4),
                  )),
                  alignment: Alignment.centerLeft,
                  child: TextField(
                    controller: telCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '联系方式',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
                Container(
                  decoration: BoxDecoration(
                      border:
                          Border.all(color: ALColors.Color323232, width: 1.5)),
                  margin: EdgeInsets.all(30),
                  padding: EdgeInsets.all(0),
                  constraints:
                      BoxConstraints(minWidth: ALDevice.width, minHeight: 45),
                  alignment: Alignment.center,
                  child: FlatButton(
                    onPressed: confirmClick,
                    child: Text(
                      '提交',
                      style:
                          TextStyle(fontSize: 14, color: ALColors.Color323232),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ));
  }
  void confirmClick() {

    confimSuggestInfo();
    
  }

  void confimSuggestInfo()  {
    print('11111111----come----confimSuggestInfo');
    BaseOptions options = DioUtil.getDefOptions();
    final cookie = new Map<String, dynamic>.from(widget.nativeCookie);
    HttpConfig config = new HttpConfig(options: options, nativeCookie: cookie);
    DioUtil().setConfig(config);
    print('aaaaaaaa----come----config');
    print(config.nativeCookie);
    print('bbbb----come----cookie'); 
    print(widget.nativeCookie);

    DioUtil().requestR(Method.post, "api/v1/suggestion",data: {"content": "add", "phone": "aaa"}).then((res){
      print('请求成功');
      print(res);
      // showAlertDialog(context, '请求成功');
    }
    ).then((error){
        print(error);
    });
  }

  void showAlertDialog(BuildContext context, String textStr) {
  showDialog(
      context: context,
      builder: (_) => new AlertDialog(
          title: new Text(textStr),
          content: new Text("This is my content"),
          actions:<Widget>[
            new FlatButton(child:new Text("CANCEL"), onPressed: (){
              // Navigator.of(context).pop();

            },),
            new FlatButton(child:new Text("OK"), onPressed: (){
            },)
          ]

      ));
}

}

